<rdn-wrapper [isLoading]="!!(isLoading$ | async)">
  <mat-card>
    <mat-card-header>
      <div class="buttons-container">
        <button (click)="createDocument()" mat-raised-button>
          Створити документ
        </button>
      </div>
    </mat-card-header>
    <mat-card-content>
      <rdn-table
        [data]="documents$ | async"
        (sortOrPaginationChanged)="dispatchData($event)"
        (edited)="editDocument($event)"
        (deleted)="deleteDocument($event)">
      </rdn-table>
    </mat-card-content>
  </mat-card>
</rdn-wrapper>
